Subject: Re: poweroff/suspend problems on PowerMac G5

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 02 Apr 2010 09:49:20 +1100

On Thu, 2010-04-01 at 19:14 +0400, Anton Vorontsov wrote:

> So CONFIG_HIBERNATION breaks suspend? Hm. How do you try
> to suspend? echo mem > /sys/power/state?

Nah, suspend isn't supported on these ( ... yet, I suppose I could
implement it one of these days if nouveau can bring back the video
card).

I think his problem is that CONFIG_HIB* is breaking shutdown.

> > as well as when just trying to shut
> > down the machine.
> 
> How do try to shut down the machine? halt/poweroff commands?
> 
> >From a brief look, I don't see how CONFIG_HIBERNATION may change
> halt/poweroff code flow in the kernel...
> 
> Can you show us a boot log of working and not working kernels?
> And .config files you use.
> 
> ..maybe for some reason PMU/SMU modules didn't get loaded?

Nah, I doubt it. Smells more like the old crap with broken cpu unplug on
shutdown, no ?

I have one of these guys at work, I can give it a try next week.

Cheers,
Ben.